For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Connections

List accounts for a connection

BETA
get
https://api.snaptrade.com/authorizations/{authorizationId}/accounts

Returns all brokerage accounts that belong to the specified connection for the authenticated user.

On Pay as you Go / Real-time, this endpoint refreshes each account's opening date, funding date, and total value live from the brokerage on each call.

On Pay as you Go / Daily, this endpoint returns Daily data. Daily data is cached and refreshed once a day. Exact refresh timing may vary by brokerage. To force a refresh, use the manual refresh endpoint.

Check your API key on the Customer Dashboard billing page to see whether your plan includes real-time data.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Path
authorizationIdstring (format: uuid)required

Unique identifier for the connection (brokerage_authorization_id). This is the UUID used to reference the connection in SnapTrade.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.connections.listBrokerageAuthorizationAccounts(
15
{
16
authorizationId:
17
"87b24961-b51e-4db8-9226-f198f6518a89",
18
userId: "USER_ID",
19
userSecret: "USER_SECRET",
20
},
21
);
22
console.log(response.data);

Response fields

array of objects

List of brokerage accounts under the specified connection.

object

A single account at a brokerage.

1
[
2
{
3
"id": "917c8734-8470-4a3e-a18f-57c3f2ee6631",
4
"brokerage_authorization": "87b24961-b51e-4db8-9226-f198f6518a89",
5
"name": "Robinhood Individual",
6
"number": "Q6542138443",
7
"institution_account_id": "54953432",
8
"institution_name": "Robinhood",
9
"created_date": "2024-07-23T22:50:22.761Z",
10
"funding_date": "2024-07-25T12:00:00.000Z",
11
"opening_date": "2024-07-20T09:30:00.000Z",
12
"sync_status": {
13
"transactions": {
14
"initial_sync_completed": true,
15
"last_successful_sync": "2022-01-24T00:00:00.000Z",
16
"first_transaction_date": "2022-01-24T00:00:00.000Z"
17
},
18
"holdings": {
19
"initial_sync_completed": true,
20
"last_successful_sync": "2024-06-28T18:42:46.561Z",
21
"holdings_unavailable": true
22
}
23
},
24
"balance": {
25
"total": {
26
"amount": 15363.23,
27
"currency": "USD"
28
}
29
},
30
"status": "open",
31
"raw_type": "Margin",
32
"account_category": "INVESTMENT",
33
"meta": {
34
"type": "Margin",
35
"status": "ACTIVE",
36
"institution_name": "Robinhood"
37
},
38
"portfolio_group": "2bcd7cc3-e922-4976-bce1-9858296801c3",
39
"cash_restrictions": [],
40
"is_paper": false
41
}
42
]